# ImageMagick

ImageMagickTM is a robust collection of tools and libraries to read, write, and manipulate an image in many image formats (over 89 major formats) including popular formats like TIFF, JPEG, PNG, PDF, PhotoCD, and GIF.
With ImageMagick you can create images dynamically, making it suitable for Web applications.
You can also resize, rotate, sharpen, color reduce, or add special effects to an image or image sequence and save your completed work in the same or differing image format.
Image processing operations are available from the command line, or from the C, C++, Perl, Java, PHP, Python, or Ruby programming languages.
A high-quality 2D renderer is included, which provides a subset of SVG capabilities.
ImageMagick's focus is on performance, minimizing bugs, and providing stable APIs and ABIs.

Here are just a few examples of what ImageMagick can do:
* Convert an image from one format to another (e.g. TIFF to JPEG)
* Resize, rotate, sharpen, color reduce, or add special effects to an image
* Create a montage of image thumbnails
* Create a transparent image suitable for use on the Web
* Turn a group of images into a GIF animation sequence
* Create a composite image by combining several separate images
* Draw shapes or text on an image
* Decorate an image with a border or frame
* Describe the format and characteristics of an image

